%define name	opengroupware-core
%define version 4.2	
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org web application system, core libraries
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-xml
Source:      opengroupware.org-core-%{cvs}.tar.bz2

BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
Requires:  openldap, zlib
BuildRequires: gcc-objc
BuildRequires: openldap-devel, openldap
BuildRequires: zlib-devel, zlib

%description
This package contains core OpenGroupware.org libraries. It contains Objective-C
classes for datastore abstraction, MIME parsing/generation, Foundation
library extensions and LDAP connections.

%package devel
Summary: The header files for the core OpenGroupware.org libraries.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the OpenGroupware.org core libraries.

%package tools
Summary: some basic tools based on the core OpenGroupware.org libraries.
Group:   Development/Other


%description tools
The tools package contains some basic tools available with the OpenGroupware.org
libraries, like ldapls and ldap2dsml.

%prep

%setup -q -n opengroupware.org-core

%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}

make -s nosasl=yes nossl=yes debug=yes all
cd samples
make -s debug=yes strip=yes all
cd ..


%install
rm -fr ${RPM_BUILD_ROOT}

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install

cd samples
make -s nosasl=yes nossl=yes debug=yes strip=yes \
  INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install
cd ..

rm -f ${RPM_BUILD_ROOT}%{prefix}/Library/SaxMappings/NGiCal.xmap \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/encoding \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/eoqual \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/fmdls \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/httpu_notify \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/ical2 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/ical3 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/imapquota \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/parserule \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/subclassing \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/test_qpdecode \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/testdirenum \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/testsock 


%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi


%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%files
%defattr(-,root,root,-)
%doc README COPYING COPYRIGHT Version
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libEOControl*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGExtensions*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGStreams*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGMime*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGLdap*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGiCal*.so*.4.2*

%files devel
%defattr(-,root,root,-)
%dir %{prefix}/Headers
%{prefix}/Headers/EOControl
%{prefix}/Headers/NGExtensions
%{prefix}/Headers/NGStreams
%{prefix}/Headers/NGLdap
%{prefix}/Headers/NGMime
%{prefix}/Headers/NGMail
%{prefix}/Headers/NGImap4
%{prefix}/Headers/NGiCal
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libEOControl*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGExtensions*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGStreams*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGMime*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGLdap*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGiCal*.so

%files tools
%defattr(-,root,root,-)
%dir %{prefix}/Tools
%dir %{prefix}/Tools/ix86
%dir %{prefix}/Tools/ix86/linux-gnu
%dir %{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/ldapls
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/ldap2dsml
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/ldapchkpwd
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/mime2xml
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/imapls
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/bmlookup
%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- library-devel requires library
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile


